### Function

# Ide get_projects_dir

#### Declaration

    const gchar*
    ide_get_projects_dir (
      void
    )

#### Description

Gets the directory to store projects within.

First, this checks GSettings for a directory. If that directory exists, it is returned.

If not, it then checks for the non-translated name “Projects” in the users home directory. If it exists, that is returned.

If that does not exist, and a GSetting path existed, but was non-existant that is returned.

If the GSetting was empty, the translated name “Projects” is returned.

Available since: | 3.32

#### Return value

Returns: | `const gchar*`
| A `GFile`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.